## com.vividsolutions.jts.algorithm
Class RobustCGAlgorithms

    java.lang.Object
      com.vividsolutions.jts.algorithm.CGAlgorithms
          com.vividsolutions.jts.algorithm.RobustCGAlgorithms

Deprecated. use CGAlgorithms instead

public class RobustCGAlgorithms
extends CGAlgorithms

Stub version of RobustCGAlgorithms for backwards compatibility. Will be deprecated in next release - use CGAlgorithms instead.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.algorithm.CGAlgorithms
`CLOCKWISE, COLLINEAR, COUNTERCLOCKWISE, LEFT, RIGHT, STRAIGHT`

Constructor Summary
`RobustCGAlgorithms()` Deprecated.

Methods inherited from class com.vividsolutions.jts.algorithm.CGAlgorithms
`computeOrientation, distanceLineLine, distancePointLine, distancePointLinePerpendicular, isCCW, isOnLine, isPointInRing, length, locatePointInRing, orientationIndex, signedArea`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobustCGAlgorithms

    public RobustCGAlgorithms()

  Deprecated.